Last Comment Bug 703945 - blank screen after rotate on every site
: blank screen after rotate on every site
Status: VERIFIED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 11
: ARM Android
: -- normal (vote)
: Firefox 11
Assigned To: Matt Brubeck (:mbrubeck)
:
:
Mentors:
: 704009 704941 (view as bug list)
Depends on:
Blocks: 702823
  Show dependency treegraph
 
Reported: 2011-11-19 19:58 PST by Luke Wagner [:luke]
Modified: 2013-12-10 10:00 PST (History)
10 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Clear timout on every new state (1.84 KB, patch)
2011-11-22 13:16 PST, Oleg Romashin (:romaxa)
mbrubeck: review+
Details | Diff | Splinter Review
Clear timeout on every new state, fixed comment (1.90 KB, patch)
2011-11-22 14:04 PST, Oleg Romashin (:romaxa)
no flags Details | Diff | Splinter Review

Description Luke Wagner [:luke] 2011-11-19 19:58:58 PST
This just started recently on nightly and is 100% reproducible: for all pages I try (bugzilla, news.google.com, ...), rotating (from either portrait or landscape) leaves content completely blank.  The chrome seems work and when I rotate back to the original orientation everything continues to work.

This is for a Samsung Galaxy SII.
Comment 1 Aaron Train [:aaronmt] 2011-11-20 13:10:37 PST
*** Bug 704009 has been marked as a duplicate of this bug. ***
Comment 2 Matt Brubeck (:mbrubeck) 2011-11-22 10:27:43 PST
Results of bisecting through mozilla-central nightlies:

The last good nightly is http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2011-11-17-07-37-07-mozilla-central-android-xul/fennec-11.0a1.en-US.android-arm.apk

The first bad nightly is http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2011-11-18-03-10-05-mozilla-central-android-xul/

Regression range:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=87640c3cac6d&tochange=447556784745

Maybe related to bug 703421, bug 702656, or bug 702823.  I will bisect further to narrow down the range.
Comment 3 Matt Brubeck (:mbrubeck) 2011-11-22 12:25:59 PST
The first bad revision is:
changeset:   84129:5ad1df978814
user:        Oleg Romashin <romaxa@gmail.com>
date:        Thu Nov 17 15:52:04 2011 -0800
summary:     Bug 702823 - Don't drop layers tree for last active tab on taskswitcher event and inactive state. r=mbrubeck
Comment 4 Oleg Romashin (:romaxa) 2011-11-22 12:49:05 PST
Checked on 
mobile/tinderbox-builds/mozilla-central-android/1321383529/fennec-11.0a1.en-US.android-arm.apk

And it works fine, /2011-11-18-03-10-05-mozilla-central-android-xul/ - it is definitely broken..
Comment 5 Matt Brubeck (:mbrubeck) 2011-11-22 12:54:49 PST
(In reply to Oleg Romashin (:romaxa) from comment #4)
> Checked on 
> mobile/tinderbox-builds/mozilla-central-android/1321383529/fennec-11.0a1.en-
> US.android-arm.apk

That build is from 2011-11-15, which is before the regression range.
Comment 6 Oleg Romashin (:romaxa) 2011-11-22 13:02:44 PST
Ok, sounds like we have next flow:
Rotate start -> timer started with { browser.active = false}
Rotate finished -> browser.active = true;

Timer fired and browser.active = false;

after that only moving fennec to bg/fg make it works again...
Comment 7 Oleg Romashin (:romaxa) 2011-11-22 13:16:20 PST
Created attachment 576237 [details] [diff] [review]
Clear timout on every new state

Will send it to try
Comment 8 Oleg Romashin (:romaxa) 2011-11-22 13:27:29 PST
https://tbpl.mozilla.org/?tree=Try&rev=b7a8b41e5e11
Comment 9 Matt Brubeck (:mbrubeck) 2011-11-22 13:33:00 PST
Comment on attachment 576237 [details] [diff] [review]
Clear timout on every new state

>     if (Browser.selectedTab.active != activeTabState) {
>       // On Maemo all backgrounded applications getting portrait orientation
>       // so if browser had landscape mode then we need timeout in order
>       // to finish last rotate/paint operation and have nice lookine browser in TS
>-      setTimeout(function() { Browser.selectedTab.active = activeTabState; }, activeTabState ? 0 : kSetInactiveStateTimeout);
>+      if (this._timeoutID)
>+        clearTimeout(this._timeoutID);
>+      this._timeoutID = setTimeout(function() { Browser.selectedTab.active = activeTabState; }, activeTabState ? 0 : kSetInactiveStateTimeout);
>     }

You'll need move the clearTimeout call to before the outer "if" statement, at the top level of the function.  Otherwise the timeout is still not cleared if it hasn't fired yet (since selectedTab.active hasn't changed yet).

r+ with that change.
Comment 10 Oleg Romashin (:romaxa) 2011-11-22 14:04:10 PST
Created attachment 576253 [details] [diff] [review]
Clear timeout on every new state, fixed comment
Comment 12 Matt Brubeck (:mbrubeck) 2011-11-23 10:12:33 PST
https://hg.mozilla.org/mozilla-central/rev/602fa5136507
Comment 13 Matt Brubeck (:mbrubeck) 2011-11-23 13:34:04 PST
*** Bug 704941 has been marked as a duplicate of this bug. ***
Comment 14 Tony Chung [:tchung] 2011-12-20 17:06:38 PST
Stuart is reporting on his motorola Atrix (android 2.3.4) that he's still seeing blank white pages after a series of rotations and zooms.   This is against Firefox 9 release.

Waverley, can you take a look and see if you can reproduce on your devices?

irclog for context:

[12:28am] dougt: tchung: stuarts says that beta is busted.  do you know anything about that?
[12:28am] tchung: dougt: no, we signed off on it prior to going to market.  what's the issue?
[12:29am] stuart: https://bugzilla.mozilla.org/show_bug.cgi?id=703945
[12:29am] stuart: i think
[12:29am] firebot: Bug 703945 nor, --, Firefox 11, mbrubeck, RESO FIXED, blank screen after rotate on every site
[12:29am] stuart: hm though that looks more recent
[12:30am] stuart: maybe not though
[12:30am] tchung: stuart: bug says firefox 11.  we haven't looked at nightly XUL builds too mmuch
[12:30am] stuart: tchung: this was Firefox Beta from market
[12:30am] stuart: which i assume will be Firefox real soon now?
[12:30am] stuart: which i assume has been tested..?
[12:31am] tchung: hmm, investigating.  yes, firefox 9 has already been shipped
[12:31am] tchung: we tested it pretty hard in beta, and did not see this bug afaik
[12:31am] • stuart tries real quick
[12:31am] stuart: mm yeah nice white page
[12:31am] tchung: what build?
[12:32am] stuart: 9.0 beta rev 541d40f07d00
[12:33am] tchung: stuart: what device u have
[12:33am] stuart: atrix
[12:33am] stuart: its really easy to reproduce
[12:33am] stuart: by just rotating a few times
[12:33am] dougt: stuart: i am using 8, and it works for me.
[12:33am] dougt: let me grab the beta too
[12:34am] stuart: trying to find exact str
[12:34am] stuart: but have seen it twice now on 3 sites in the last 3 minutes
[12:34am] tchung: stuart: what android version do u have?
[12:34am] stuart: 2.3.4 (stock)
[12:34am] tchung: ok
[12:35am] stuart: go load the caltrain timetable page
[12:35am] stuart: and zoom/rotate a bit
[12:35am] stuart: and it happens fairly often
[12:35am] tchung: ok
[12:35am] stuart: (i could see it on my fantasy football page too, but i was logged in)
[12:36am] stuart: its also not in one orientation or thhe other -- can happen in both
[12:36am] stuart: and you can still scroll and such
[12:36am] stuart: but its all white
[12:37am] tchung: i see it flicker white, but it resumes content for me
[12:37am] stuart: did 9 get pushed to market? i can test that build
[12:37am] tchung: I'm on a sgs2
[12:37am] tchung: stuart: its supposedly pushed yes, but market hasn't appeared yet
[12:37am] tchung: stuart: can u grab 9.0rc from ftp in the meantime?
[12:37am] stuart: its in market for me
[12:37am] stuart: updating
[12:37am] tchung: so is it still easy to white page if you start clean
[12:40am] stuart: i'm seeing a slightly different bug
[12:40am] stuart: where i hit back and the page contents didn't update
[12:40am] stuart: adn aren't repainting
[12:40am] stuart: in release
[12:40am] tchung: that too
[12:41am] stuart: in fact
[12:41am] stuart: none of the pages are fully repainting when i hit back
[12:41am] stuart: rotating fixes it
[12:41am] tchung: stuart: this affects other pages or just timetable site?
[12:42am] stuart: other pages too
[12:42am] stuart: rotating seems to lose page position
[12:42am] stuart: as well
[12:43am] stuart: yeah
[12:43am] stuart: just got release to white page
[12:43am] tchung: think thats known
[12:43am] tchung: so rotating a few times, you'll get white page to stick?
[12:43am] stuart: yes
[12:44am] stuart: in actual usage, it was happening enough that i stopped using it
[12:48am] stuart: tchung: can you not repro?
[12:48am] tchung: stuart: so is it still easy to white page if you start clean
[12:48am] tchung: not on 2 devices yet.  (galaxy nexus and SGS2)
[12:49am] stuart: tchung: wiping my profile
[12:50am] stuart: tchung: yeah can repro
[12:53am] tchung: stuart: can u comment in the bug?  wonder if bug is not really fixed.  we'll check other devices
Comment 15 Matt Brubeck (:mbrubeck) 2011-12-20 17:22:33 PST
(In reply to Tony Chung [:tchung] from comment #14)
> Stuart is reporting on his motorola Atrix (android 2.3.4) that he's still
> seeing blank white pages after a series of rotations and zooms.   This is
> against Firefox 9 release.

Could you open a separate bug for that, please?  This bug was opened for a brief regression in Firefox 11 nightly builds only, which happened 100% of the time after a single rotation.
Comment 16 Tony Chung [:tchung] 2011-12-20 17:34:15 PST
(In reply to Matt Brubeck (:mbrubeck) from comment #15)
> (In reply to Tony Chung [:tchung] from comment #14)
> > Stuart is reporting on his motorola Atrix (android 2.3.4) that he's still
> > seeing blank white pages after a series of rotations and zooms.   This is
> > against Firefox 9 release.
> 
> Could you open a separate bug for that, please?  This bug was opened for a
> brief regression in Firefox 11 nightly builds only, which happened 100% of
> the time after a single rotation.

sure.  marking this one verified and filed bug 712517.

Note You need to log in before you can comment on or make changes to this bug.